Page MenuHomePhabricator

ve.ui.Toolbar should have a configurable offset for fixed headers
Closed, ResolvedPublic1 Story Points

Description

When you scroll in Vector with VE enabled, the toolbar will be fixed to the top of the window if the toolbar reach it. This works fine, when you have a skin without a fixed header, but some skins have a fixed header, so the VE toolbar is (maybe partially) hidden by a fixed element. This could be solved by implementing a configurable offset (e.g. using a JS variable, which isn't set in VE, but can be set by any extension/skin), which can be set by skins, that need it. This would be one step into the direction to support more skins.

Event Timeline

Florian created this task.Apr 9 2015, 8:51 AM
Florian updated the task description. (Show Details)
Florian raised the priority of this task from to Needs Triage.
Florian claimed this task.
Florian added a project: VisualEditor.
Florian added a subscriber: Florian.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 9 2015, 8:51 AM

Change 203010 had a related patch set uploaded (by Florianschmidtwelzow):
Allow to fix the toolbar not to the top of the window

https://gerrit.wikimedia.org/r/203010

Change 203011 had a related patch set uploaded (by Florianschmidtwelzow):
Allow skin developers to set an offset for toolbar floating

https://gerrit.wikimedia.org/r/203011

Change 203010 merged by jenkins-bot:
ve.ui.Toolbar: Allow setting positioning offset from the top of the window

https://gerrit.wikimedia.org/r/203010

Jdforrester-WMF triaged this task as Normal priority.Jun 16 2015, 4:07 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from Blocked to Freezer on the VisualEditor board.Jun 18 2015, 1:28 AM

Change 203011 merged by jenkins-bot:
Allow skin developers to set an offset for toolbar floating

https://gerrit.wikimedia.org/r/203011

Florian closed this task as Resolved.Jul 28 2015, 8:03 PM
Florian added a subscriber: Jdforrester-WMF.
Jdforrester-WMF edited a custom field.Aug 5 2015, 1:25 AM